console.log('init MathJax');
isMathjaxReady = false;
setTimeout(() => {
    isMathjaxReady = true;//最多等待10s
}, 10000);
MathJax = {
    tex: {
        inlineMath: [
        ['$', '$'],
        ['\\(', '\\)']
        ], //行内公式选择符
        displayMath: [
        ['$$', '$$'],
        ['\\[', '\\]']
        ] //段内公式选择符
    },
    loader: { load: ['input/asciimath', 'input/tex', 'output/svg'] },
    startup: {
        pageReady: () => {
            console.log( " ****   math jax is page ready"); 
            // var res =  MathJax.startup.defaultPageReady();
            return MathJax.startup.defaultPageReady().then(() => {
                console.log('MathJax initial typesetting complete and set isMathjaxRead');
                setTimeout(() => {
                    isMathjaxReady = true;//最多等待10s
                }, 200);
                
              });
             
          },
          ready: () => {
            console.log('MathJax is loaded, but not yet initialized');
            MathJax.startup.defaultReady();
            console.log('MathJax is initialized, and the initial typeset is queued');
          }
        // ready: () => {
            
        //     console.log( " ****   math jax is ready");
        //     MathJax.startup.defaultReady()
        //     MathJax.startup.promise.then(() => {
            
        //         MathJax.typesetDebounce = function() { 
        //         if (window.MathJaxTimer) clearTimeout(window.MathJaxTimer)
        //         window.MathJaxTimer = setTimeout(() => {  
        //         }, 50)
        //         }
        //     })
        
        //     }
    }
}  
function mathJax() {
    console.log('in mathJax');
    if (window.MathJax) { 
        if(isMathjaxReady)
        {
            try{ 
                if(typeof(MathJax.typesetDebounce) == 'function')
                {
                    MathJax.typesetDebounce();
                }else{
                    MathJax.typeset();
                }
                
            }catch(e)
            {
                console.log("MathJax.typeset(); error orrr !!!");
            }
        }else{
            console.log('in mathJax not ready');
            setTimeout(() => {
                mathJax();
            }, 100);
        }
        
    }
} 