function isJudgingQuestion(input)
{
    if(typeof (input.categoryId) != 'undefined' && input.categoryId == 5)
    {
        return true;
    }
    return false;


}

function ifInputIsObjective(input)
{
       if(typeof (input.isSubjective) != 'undefined' )
      {
        return !input.isSubjective;
      }else{
        if(typeof(input.categoryId) != 'undefined'
          
        )
        {
            var categoryId = input.categoryId;
            if(categoryId == 1 || categoryId == 2 || categoryId == 5 || categoryId == 6 || categoryId == 7)
            {
              return true;
            }

        }
          if(input.options == null || input.options.length == 0 )
          {
              return false;
          }
          return true;
      }
}
function generateBigExamInputAnswerList(bigExam)
{ 
       
        bigExam.render_input_objective_list = [];
        bigExam.render_input_subjective_list = [];
        bigExam.render_input_list = [];
        bigExam.render_subject_answer_answerContent = "";
        bigExam.render_subject_answer_imageList = [];
        bigExam.render_subjective_answer_header = "（";
        bigExam.render_objective_show_type = 1;  //1 代表 不显示题号   //2 显示题并且在一行，//3 显示题号在两行
        bigExam.render_subQuestions = [];
        var hasObjective = false;
        var hasSubjective = false;
        var flagFirstSubject = true;
        var rightAnswer = "";
        if(bigExam.userAnswerImgs != null)
        {
            bigExam.render_subject_answer_imageList = bigExam.userAnswerImgs;
        } 
        if(bigExam.userAnswerTexts != null && typeof(bigExam.userAnswerTexts) !=  'undefined' && bigExam.userAnswerTexts.length > 0)
        {
            bigExam.render_subject_answer_answerContent = bigExam.userAnswerTexts.join(',');
        }
        if(bigExam.userAnswer == null)
        {
            bigExam.userAnswer = [];
        }
        bigExam.render_haveSubjectiveAnswer =
        (bigExam.render_subject_answer_answerContent != null && bigExam.render_subject_answer_answerContent.length > 0)
        || (bigExam.render_subject_answer_imageList != null && bigExam.render_subject_answer_imageList.length > 0);
        if(bigExam.subQuestions == null || bigExam.subQuestions.length == 0)
        {
            var newsub = bigExam;
            delete newsub["subQuestions"];
            newsub.render_isFakeSubQuestion = true;
            newsub.render_subQuestionIndex = -1;
            var newsubs = [newsub];
            bigExam.render_subQuestions = newsubs;
        }else{
            if(bigExam.subQuestions != null && bigExam.subQuestions.length > 0)
            {
                for(var j = 0; j < bigExam.subQuestions.length;j++)
                {
                    if(bigExam.subQuestions[j].userAnswer == null)
                    {
                        bigExam.subQuestions[j].userAnswer = [];
                    }
                    bigExam.subQuestions[j].render_subQuestionIndex = j;
                }
            }
            bigExam.render_subQuestions = bigExam.subQuestions;
        }
        for (var i = 0;i < bigExam.render_subQuestions.length;i++)
        {
             
            var input = bigExam.render_subQuestions[i];
            input.render_input_sequence = (i+1);
            if(input.translatedAnswer == null || typeof(input.translatedAnswer) == 'undefined')
            {
                input.translatedAnswer = [];
            }
            if(ifInputIsObjective(input))
            {
                input.render_isObjective = true;
                bigExam.render_input_list.push(input);
                bigExam.render_input_objective_list.push(input);
                hasObjective = true;
                if(isJudgingQuestion(input))
                { 
                    var newUserAnswer = [];
                    if(typeof(input.userAnswer) != 'undefined' )
                    {
                        for (var m = 0; m < input.userAnswer.length;m++)
                        {
                            if(input.userAnswer[m] == '1')
                            {
                                newUserAnswer.push("正确");
                            }else if(input.userAnswer[m] == '0'){
                                newUserAnswer.push("错误");
                            }else{
                                newUserAnswer.push(input.userAnswer[m]);
                            }
                        }
                        input.userAnswer = newUserAnswer;
                    }
                    var newAnswer = [];
                    if(typeof(input.translatedAnswer) != 'undefined' )
                    {
                        for (var m = 0; m < input.translatedAnswer.length;m++)
                        {
                            if(input.translatedAnswer[m] == '1')
                            {
                                newAnswer.push("正确");
                            }else if(input.translatedAnswer[m] == '0'){
                                newAnswer.push("错误");
                            }else{
                                newAnswer.push(input.translatedAnswer[m]);
                            }

                        }
                        input.translatedAnswer = newAnswer;

                    } 
                }
            }else{
                input.render_isObjective = false;

                bigExam.render_input_list.push(input);
                bigExam.render_input_subjective_list.push(input);
                hasSubjective = true;
                var seq = bigExam.sequence;

                if(flagFirstSubject)
                {
                    bigExam.render_subjective_answer_header = bigExam.render_subjective_answer_header +(i+1)+"";
                    flagFirstSubject = false;
                }else{
                    bigExam.render_subjective_answer_header = bigExam.render_subjective_answer_header + "、"+(i+1)+"";
                }
            } 
            if(i > 0)
            {
                if(input.translatedAnswer != null && typeof(input.translatedAnswer) != 'undefined'
                && input.translatedAnswer.length > 0
                )
                {
                    if(rightAnswer.length > 0)
                    {
                        rightAnswer = rightAnswer+"; "+input.translatedAnswer.join(',');
                    }else{
                        rightAnswer = rightAnswer+""+input.translatedAnswer.join(',');
                    }
                }
                
            }else{
                rightAnswer =  input.translatedAnswer.join(',');;
            }
        }
        bigExam.render_subjective_answer_header = bigExam.render_subjective_answer_header + "）";
        if(bigExam.render_input_list.length <= 1)
        {
            bigExam.render_subjective_answer_header = "";
        }

        if(hasSubjective)
        {
            bigExam.render_objective_show_type = 2;
        }else{
            if(bigExam.render_input_list.length <= 1)
            {
                bigExam.render_objective_show_type = 1;
            }else{
                bigExam.render_objective_show_type = 2;
            }
        } 
        if(bigExam.render_haveSubjectiveAnswer)
        {
            bigExam.render_objective_show_type = 3;
        } 
        bigExam.render_hasObjective = hasObjective;
        bigExam.render_hasSubjective = hasSubjective;
        bigExam.render_flagFirstSubject = flagFirstSubject;
        bigExam.render_rightAnswer = rightAnswer;

}


function sendMessageToTCR(params){
    if (window.TCR == undefined){
        console.log("TCR is undefined");
        return;
    }
    var res = TCR.postMessage(JSON.stringify(params));
    return res;
}
function sendMessageToTCRTool(params){
if (window.TCRTool == undefined){
    console.log("TCR is undefined");
    return;
}
var res = TCRTool.postMessage(JSON.stringify(params));
return res;
}
window.generateBigExamInputAnswerList;
window.isJudgingQuestion = isJudgingQuestion;
window.ifInputIsObjective = ifInputIsObjective;
window.generateBigExamInputAnswerList;
window.sendMessageToTCRTool = sendMessageToTCRTool;
window.sendMessageToTCR = sendMessageToTCR;