var templateSoveZone = `
    <div class="solve-zone">
                    <div class="hint-header">参考答案</div>
                    <div class="solve-text"  v-html="answer"></div>
                    <div class="hint-header">答案解析</div>
                    <div style="margin-top: 0.2rem;white-space: pre-wrap;">
                        <div class="exam-content">
                            <div class="exam-steam"><div v-html="solution"></div></div>
                        </div>
                    </div>

                    <div class="hint-header">题目难度</div>
                    <div class="question-level">
                        <template v-for="(item,i) in [0,1,2,3,4]">
                            <template v-if = "i < questionlevel">
                                <img src="images/question_level_p.png">
                            </template>
                            <template v-else>
                                <img src="images/question_level_n.png">
                            </template>
                        </template>

                    </div>
                    <div class="hint-header">考察知识点</div>
                    <div class="knowledge-point">
                        <div class="knowledge-point-item" v-for="(text,i) in  knowledgepoints">{{text}}</div>

                    </div>
    </div>
`
Vue.component('solve-zone', {
  template: templateSoveZone,
  props: {
    'answer':String,
    'questionlevel':Number,
    'solution':String,
    'knowledgepoints':Array
 }
});