console.log('init MathJax');
window.MathJax.Hub.Config({
    tex2jax: {
        inlineMath: [
            ["$", "$"],
            ["\\(", "\\)"]
        ], //行内公式选择符
        displayMath: [
            ["$$", "$$"],
            ["\\[", "\\]"]
        ], //段内公式选择符
    },
    showProcessingMessages: false,
    messageStyle: "none",
});

function mathJax() {
    console.log('in mathJax');
    if (window.MathJax) {
        console.log('window.MathJax.Hub', window.MathJax.Hub);
        console.log('window.MathJax.Hub.Queue', window.MathJax.Hub.Queue);
        window.MathJax.Hub.Queue(["Typeset", window.MathJax.Hub], function (){ console.log('done'); });
    }
}

function replaceElement(str, encoded) {
    if (encoded === undefined) {
        encoded = true;
    }
    var element = document.createElement("DIV");
    if (encoded) {
        element.innerHTML = Base64.decode(str);
    } else {
        element.innerHTML = str;
    }
    var mathJaxContainer = document.getElementsByClassName("exam-content")[0];
    while (mathJaxContainer.firstChild) {
        mathJaxContainer.removeChild(mathJaxContainer.lastChild);
    }
    if (mathJaxContainer.append){
        mathJaxContainer.append(element);
    } else {
        // for vivo phone
        mathJaxContainer.appendChild(element);
    }
    mathJax();;

    document.body.scrollTop = 0;
    if (mathJaxContainer.lastChild) {
        return "success"
    }
    return "fail";
}
window.replaceElement = replaceElement;
var htmlContent2 = "\\(a_0 = \\frac{{\\hbar }}{{m_e ke^2 }} \\)";
replaceElement(htmlContent2, false);